# Comfy-Photoshop-SD
Download this extension via the [ComfyUI Manager](https://github.com/ltdrdata/ComfyUI-Manager) to establish a connection between ComfyUI and the [Auto-Photoshop-SD](https://github.com/AbdullahAlfaraj/Auto-Photoshop-StableDiffusion-Plugin) plugin in Photoshop.

# How to Install:
1) Install [Auto-Photoshop-SD](https://github.com/AbdullahAlfaraj/Auto-Photoshop-StableDiffusion-Plugin) `v1.4.0`  or a later version -> using either installation Method 1 (.ccx) or Method 2 (.zip) file. 
**Important: skip any instruction related to Automatic1111**

2. Install ComfyUI-Manager inside of ComfyUI
    - a) Navigate to ComfyUI Folder
    - b) Copy the following command: 
    ```
    git clone https://github.com/ltdrdata/ComfyUI-Manager.git
    ```
    Follow the steps here: 

     https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/bdab404c-1170-483d-be1b-67b5b4aab67a

4) Install this project (Comfy-Photoshop-SD) from ComfUI-Manager

https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/4aa64420-345d-4fee-8f48-c1e92bd42348

5) Similarly install (comfyui_controlnet_aux)[https://github.com/Fannovel16/comfyui_controlnet_aux] from ComfyUI-Manager to use controlnet




# Load Custom ComfyUI Workflows in Photoshop

1. **Load Workflow**: Open your workflow in ComfyUI. Make sure it's error-free.

2. **Convert to API**: Save the workflow as an API in JSON format. Use 'Save (API Format)', not 'Save'. See an example.

![image](https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/c768fefe-b151-4fdf-a598-1398b51b13c9)

https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/ebe571dc-74e1-4a95-bda9-2763d88eb084

3. **Move API File**: Transfer the API JSON file to a folder of your choice, only include json files that are made using this guide. Here's an image for reference.
![image](https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/5c7a5c2b-3e9e-4039-abf9-0539000fedc5)

4. **Load Workflow in Photoshop**: Load your custom workflow within Photoshop. Here's an example.

https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/64383557-32a2-4836-85e3-1daa9d22ce2e

# How to Use:
## Txt2Img with Hires fix:


https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/748aefc9-f75f-4581-9c8d-c796c5cddaba

## Img2Img with Hires fix:


https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/4b000584-672c-44f5-80a0-717eac02af76

## Pure Img2Img :

https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/3c934dad-2a13-4d58-80b5-3e5179ec1420

## Pure Inpainting:


https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/ccdb9b8a-a63f-47da-9502-e108a630e5af

## Outpainting with Controlnet:



https://github.com/AbdullahAlfaraj/Comfy-Photoshop-SD/assets/7842232/e0bcf679-59cd-4a44-8de7-04f0f0dd01fe


